> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token



## OpenAPI

````yaml Oauth2Token post /generateToken
openapi: 3.0.1
info:
  title: Oauth2Token
  version: 1.0.0
servers:
  - url: https://gateway.7exchange.io/muse/2.0.0
security: []
paths:
  /generateToken:
    post:
      operationId: token
      requestBody:
        content:
          application/json:
            schema:
              required:
                - clientId
                - clientSecret
              type: object
              properties:
                clientId:
                  type: string
                clientSecret:
                  type: string
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  reason:
                    type: string
                    description: Reason phrase
                  path:
                    type: string
                    description: Request path
                  method:
                    type: string
                    description: Method type of the request
                  message:
                    type: string
                    description: Error message
                  timestamp:
                    type: string
                    description: Timestamp of the error
                  status:
                    type: integer
                    description: Relevant HTTP status code
                    format: int32
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body

````